//****************************************************************************//
// File:          canpie_dev.h                                                //
// Description:                                                               //
// Author:        Uwe Koppe                                                   //
// e-mail:        koppe@microcontrol.net                                      //
//                                                                            //
//============================================================================//
// This program is free software; you can redistribute it and/or modify       //
// it under the terms of the GNU Lesser General Public License as published   //
// by the Free Software Foundation; either version 2.1 of the License, or     //
// (at your option) any later version.                                        //
//============================================================================//
//                                                                            //
// Date        History                                                        //
// ----------  -------------------------------------------------------------- //
// 19.06.2000  Initial version                                                //
//                                                                            //
//****************************************************************************//

#include <linux/ioctl.h>


//----------------------------------------------------------------------------//
// ioctl definitions                                                          //
// we use 'm' as magic number, all control values have the prefix CP_IOC_xxx  //
//                                                                            //
//----------------------------------------------------------------------------//

#define CP_IOC_MAGIC                'm'           // the magic number

#define CP_IOC_RESET                _IOC(_IOC_WRITE, CP_IOC_MAGIC, 0x00, 0)
#define CP_IOC_BITTIMING            _IOC(_IOC_WRITE, CP_IOC_MAGIC, 0x01, 3)
#define CP_IOC_BUFFER_TX            _IOW(CP_IOC_MAGIC, 0x02)

#define CP_IOC_FILTER_MSG_ENABLE    _IOW(CP_IOC_MAGIC, 0x10, 4)
#define CP_IOC_FILTER_MSG_DISABLE   _IOW(CP_IOC_MAGIC, 0x11, 4)

#define CP_IOC_FILTER_ALL_ENABLE    _IOW(CP_IOC_MAGIC, 0x12, 4)
#define CP_IOC_FILTER_ALL_DISABLE   _IOW(CP_IOC_MAGIC, 0x13, 4)

#define CP_IOC_MAXNR                0x13

